// passwordDialog.cpp : 実装ファイル
//

#include "stdafx.h"
#include "RS-WF62.h"
#include "passwordDialog.h"
#include "RS-WF62Dlg.h"

// メインダイアログ
extern CRSWF62Dlg* g_mainDlg;

// passwordDialog ダイアログ

IMPLEMENT_DYNAMIC(passwordDialog, CDialog)

passwordDialog::passwordDialog(CWnd* pParent /*=NULL*/)
	: CDialog(passwordDialog::IDD, pParent)
	, m_devPassword(_T(""))
{

}

passwordDialog::~passwordDialog()
{
}

void passwordDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_EDIT_PASSWORD, m_devPassword);
}


BEGIN_MESSAGE_MAP(passwordDialog, CDialog)
	ON_BN_CLICKED(IDOK, &passwordDialog::OnBnClickedOk)
END_MESSAGE_MAP()


// passwordDialog メッセージ ハンドラ

//--------------------------------------------------------
//内容
// 「OK」ボタンのクリックイベント
// 入力されたパスワードを親ダイアログに送る
//引数
// なし
//戻り値
// なし
//--------------------------------------------------------
void passwordDialog::OnBnClickedOk()
{
	UpdateData(TRUE);
	g_mainDlg->m_devPassword = m_devPassword;

	OnOK();
}
